> ## Documentation Index
> Fetch the complete documentation index at: https://docs.coingecko.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Past 24 Hour Trades by Pool Address

> This endpoint allows you to **query the last 300 trades in the past 24 hours based on the provided pool address**

<Note>
  ### Note

  * Cache / Update Frequency:
    * Every 60 seconds for Public API.
    * Real-time (Cacheless) for [Pro API](https://www.coingecko.com/en/api/pricing) (Basic, Analyst, Lite, Pro, Enterprise).
</Note>


## OpenAPI

````yaml api-reference/onchain-demo.json get /networks/{network}/pools/{pool_address}/trades
openapi: 3.0.0
info:
  title: Onchain DEX API (Demo)
  version: 3.0.0
servers:
  - url: https://api.coingecko.com/api/v3/onchain
security:
  - apiKeyAuth: []
  - apiKeyQueryParam: []
paths:
  /networks/{network}/pools/{pool_address}/trades:
    get:
      tags:
        - Trades
      summary: Past 24 Hour Trades by Pool Address
      description: >-
        This endpoint allows you to **query the last 300 trades in the past 24
        hours based on the provided pool address**
      operationId: pool-trades-contract-address
      parameters:
        - name: network
          in: path
          description: |-
            network ID 
             *refers to [/networks](/v3.0.1/reference/networks-list)
          required: true
          schema:
            type: string
            example: eth
            default: eth
        - name: pool_address
          in: path
          description: pool contract address
          required: true
          schema:
            type: string
            example: '0x06da0fd433c1a5d7a4faa01111c044910a184553'
            default: '0x06da0fd433c1a5d7a4faa01111c044910a184553'
        - name: trade_volume_in_usd_greater_than
          in: query
          required: false
          description: |-
            filter trades by trade volume in USD greater than this value 
             Default value: 0
          schema:
            type: number
        - name: token
          in: query
          required: false
          description: |-
            return trades for token 
             use this to invert the chart 
             Available values: 'base', 'quote' or token address 
             Default value: 'base'
          schema:
            type: string
            default: base
          examples:
            base:
              value: base
            quote:
              value: quote
            base_token_address:
              value: '0xdac17f958d2ee523a2206206994597c13d831ec7'
            quote_token_address:
              value: '0xc02aaa39b223fe8d0a0e5c4f27ead9083c756cc2'
      responses:
        '200':
          description: Get last 300 trades in past 24 hours from a pool
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Trades'
components:
  schemas:
    Trades:
      type: object
      properties:
        data:
          type: array
          items:
            type: object
            properties:
              id:
                type: string
              type:
                type: string
              attributes:
                type: object
                properties:
                  block_number:
                    type: integer
                  tx_hash:
                    type: string
                  tx_from_address:
                    type: string
                  from_token_amount:
                    type: string
                  to_token_amount:
                    type: string
                  price_from_in_currency_token:
                    type: string
                  price_to_in_currency_token:
                    type: string
                  price_from_in_usd:
                    type: string
                  price_to_in_usd:
                    type: string
                  block_timestamp:
                    type: string
                  kind:
                    type: string
                  volume_in_usd:
                    type: string
                  from_token_address:
                    type: string
                  to_token_address:
                    type: string
      example:
        data:
          - id: >-
              eth_19612255_0x0b8ac5a16c291832c1b4d5f0d8ef2d9d58e207cd8132c32392295617daa4d422_158_1712595165
            type: trade
            attributes:
              block_number: 19612255
              tx_hash: >-
                0x0b8ac5a16c291832c1b4d5f0d8ef2d9d58e207cd8132c32392295617daa4d422
              tx_from_address: '0x42c037c594eefeca741e9dd66af91e7ffd930872'
              from_token_amount: '1.51717616246451'
              to_token_amount: '5535.099061'
              price_from_in_currency_token: '1.0'
              price_to_in_currency_token: '0.000274100995437363'
              price_from_in_usd: '3656.8970003075'
              price_to_in_usd: '1.00235910799619'
              block_timestamp: '2024-04-08T16:52:35Z'
              kind: buy
              volume_in_usd: '5548.15695745452'
              from_token_address: '0xc02aaa39b223fe8d0a0e5c4f27ead9083c756cc2'
              to_token_address: '0xdac17f958d2ee523a2206206994597c13d831ec7'
  securitySchemes:
    apiKeyAuth:
      type: apiKey
      in: header
      name: x-cg-demo-api-key
    apiKeyQueryParam:
      type: apiKey
      in: query
      name: x_cg_demo_api_key

````